{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
      "identifier": "oct_db:insulated_iron_leggings"
    },
    "tags": [
      "crafting_table"
    ],
    "pattern": [
      " X ",
      "X#X",
      " X "
    ],
    "key": {
      "#": {
        "item": "minecraft:iron_leggings"
      },
      "X": {
        "item": "oct_db:insulation_fabric"
      }
    },
    "result": {
      "item": "oct_db:insulated_iron_leggings"
    }
  }
}